You are not logged in.

#1 2021-03-04 01:04:01

dta
Member
Registered: 2021-02-27
Posts: 3

[Solved] corrupted package perl-http-message

When running
```
sudo pacman -S arp-scan
```

I see
```
:: File /var/cache/pacman/pkg/perl-http-message-6.27-1.0-any.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] error: failed to commit transaction (invalid or corrupted package)
```

It seems that this file is corrupted in the package index.

Last edited by dta (2021-04-24 07:16:15)

Offline

#2 2021-03-04 04:46:40

levi
Moderator
From: Yorkshire, UK
Registered: 2018-06-16
Posts: 1,009

Re: [Solved] corrupted package perl-http-message

Your key file is outdated.  In fact, if that's the package you're trying to install indicates your package index is out of date too.  Do a pacman -Syu first (or combine the two with a pacman -Syu arp-scan)


Architecture: pentium4, Testing repos: Yes, Hardware: EeePC 901+2GB RAM+OS half on the SD card.

Offline

#3 2021-04-24 07:15:40

dta
Member
Registered: 2021-02-27
Posts: 3

Re: [Solved] corrupted package perl-http-message

Thanks.  That fixed it.

Offline

Board footer

Powered by FluxBB